import request from "@/utils/request";

// 复制工艺路线
export function copyRoute(data: object) {
  return request({
    url: `/api/v1/op/route/copyAdd`,
    method: "post",
    data: data,
  });
}

// 获取工艺路线 工序关系表信息
export function processesByRouteId(id: string) {
  return request({
    url: `/api/v1/op/routeOperation/get/${id}`,
    method: "get",
  });
}

// 新增-更新工艺路线《---》工序关系表
export function saveProcessInRoute(data: object) {
  return request({
    url: `/api/v1/op/routeOperation/saveOrUpdate`,
    method: "post",
    data: data,
  });
}

// 保存xx关系表中的工序
export function updateProcess(data: object) {
  return request({
    url: `/api/v1/op/operation/update`,
    method: "post",
    data: data,
  });
}


